####### tdevelop will overwrite this part!!! (begin)##########
noinst_PROGRAMS = koala

## INCLUDES were found outside tdevelop specific part

koala_SOURCES = main.cpp
koala_LDADD   = ./tdejava/libtdejava.la ../../qtjava/javalib/qtjava/libtqtjava.la $(LIB_TDESPELL) -ltdeparts $(LIB_TDEIO) -lXext -lX11 $(LIBSOCKET)

SUBDIRS = org tdejava

EXTRA_DIST = main.cpp

####### tdevelop will overwrite this part!!! (end)############
# this 10 paths are KDE specific. Use them:
# kde_htmldir       Where your docs should go to. (contains lang subdirs)
# kde_appsdir       Where your application file (.kdelnk) should go to.
# kde_icondir       Where your icon should go to.
# kde_minidir       Where your mini icon should go to.
# kde_datadir       Where you install application data. (Use a subdir)
# kde_locale        Where translation files should go to.(contains lang subdirs)
# kde_cgidir        Where cgi-bin executables should go to.
# kde_confdir       Where config files should go to.
# kde_mimedir       Where mimetypes should go to.
# kde_toolbardir    Where general toolbar icons should go to.
# kde_wallpaperdir  Where general wallpapers should go to.

data_DATA = koala.jar
datadir = $(kde_libraries)/java

koala.jar: org/trinitydesktop/koala/classnoinst.stamp
	$(JAR) cf koala.jar org/trinitydesktop/koala/*.class

# set the include path for X, qt and KDE
INCLUDES= $(all_includes)

koala_METASOURCES = AUTO

# the library search path.
koala_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

# them while "make clean", use CLEANFILES
CLEANFILES = koala.jar

# make messages.po. Move this one to ../po/ and "make merge" in po
# the -x is for skipping messages already translated in tdelibs
messages:
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) -C -ki18n -x $(kde_includes)/kde.pot $$LIST -o ../po/koala.pot; \
	fi

